Skip to main content
POST
/
generation
/
wan
/
wan-v2.7-video
Wan V2.7 Video
curl --request POST \
  --url https://open.skills.video/api/v1/generation/wan/wan-v2.7-video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "audio_url": "<string>",
  "negative_prompt": "<string>",
  "enable_prompt_expansion": true,
  "prompt": "<string>",
  "image_url": "<string>",
  "video_url": "<string>",
  "multi_shots": false
}
'
{
  "id": "<string>",
  "status": "starting",
  "usage": {
    "total": 0,
    "subscription": 0,
    "permanent": 0
  }
}
Wan 2.7 unified text/image/reference-to-video plus edit-video workflows.

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

audio_url
string<uri>
required

Optional driving audio URL. Used in text/image and frames workflows.

negative_prompt
string | null
required

Content to avoid in the generated video.

enable_prompt_expansion
boolean
default:true
required

Enable intelligent prompt rewriting.

feature
string

Workflow type: text/image-to-video, reference-to-video, frames-to-video, or edit-video.

Allowed value: "text-image"
prompt
string | null

Prompt text. Required for reference and edit-video modes, optional for text/image and frames modes.

Minimum string length: 1
image_url
string<uri>

Starting image URL for image or frames workflows.

end_image_url
string<uri>

Optional ending image URL. Requires image_url and is primarily used for frames workflow.

video_url
string<uri>

Optional continuation video URL for image workflow, or required input video URL for edit-video workflow.

reference_image_urls
string<uri>[]

Reference image URLs for reference workflow. In edit-video workflow, only the first image is used.

Maximum array length: 8
reference_image_url
string<uri>

Single reference image URL alias for edit-video workflow.

video_refs
string<uri>[]

Reference video URLs for reference workflow.

Maximum array length: 8
aspect_ratio
enum<string>
default:16:9

Output aspect ratio.

Available options:
16:9,
9:16,
1:1,
4:3,
3:4
resolution
enum<string>
default:1080p

Output video resolution tier.

Available options:
720p,
1080p
duration
default:5

Output video duration in seconds.

multi_shots
boolean
default:false

Enable intelligent multi-shot segmentation. Used in reference workflow.

audio_setting
enum<string>
default:auto

Audio handling in edit-video mode.

Available options:
auto,
origin
seed
integer | null

Random seed for reproducibility.

Required range: 0 <= x <= 2147483647
{key}
any

Response

Generation status

id
string
required

Generation id.

status
enum<string>
required

Generation status

Available options:
starting,
processing,
succeeded,
failed,
canceled
usage
object
required

Credit usage breakdown for the request